s2k {gap} | R Documentation

## Statistics for 2 by K table

### Description

This function calculates one-to-others and maximum accumulated chi-squared statistics for a 2 by K contingency table.

### Usage

    s2k(y1,y2)

### Arguments

`y1` | a vector containing the first row of a 2 by K contingency table
`y2` | a vector containing the second row of a 2 by K contingency table

### Value

The returned value is a list containing:

`x2a` | the one-to-other chisquare
`x2b` | the maximum accumulated chisquare
`col1` | the column index for x2a
`col2` | the column index for x2b
`p` | the corresponding p value

### References

Hirotsu C, Aoki S, Inada T, Kitao Y (2001) An exact test for the association between the disease and alleles at highly polymorphic loci with particular interest in the haplotype analysis. Biometrics 57:769-778

### Note

The lengths of y1 and y2 should be the same

### Author(s)

Chihiro Hirotsu, Jing Hua Zhao

### Examples

    ## Not run:
    # an example from Mike Neale
    # termed 'ugly' contingency table by Patrick Sullivan
    y1 <- c(2,15,16,35,132,30,25,7,12,24,10,10,0)
    y2 <- c(0, 6,31,49,120,27,15,8,14,25, 3, 9,3)

    result <- s2k(y1,y2)

    ## End(Not run)

[Package gap version 1.2.1 Index]